<?php
/**
 * Template for displaying woocommerce search form
 *
* @package WEN_Commerce
 */
?>

<form role="search" method="get" class="woocommerce-product-search" action="<?php echo esc_url( home_url( '/'  ) ); ?>">
	<label class="screen-reader-text" for="s"><?php esc_html_e( 'Search for:', 'wen-commerce-pro' ); ?></label>
	<input type="search" class="search-field" placeholder="<?php echo esc_attr_x( 'Search Products&hellip;', 'placeholder', 'wen-commerce-pro' ); ?>" value="<?php the_search_query(); ?>" name="s" title="<?php echo esc_attr_x( 'Search for:', 'label', 'wen-commerce-pro' ); ?>" />
	<button type="submit" class="search-submit"><?php echo wen_commerce_get_svg( array( 'icon' => 'search' ) ); ?><span class="screen-reader-text"><?php echo _x( 'Search Products', 'submit button', 'wen-commerce-pro' ); ?></span></button>
	<input type="hidden" name="post_type" value="product" />
</form>
