<?php
/**
 * The template for displaying featured image content
 *
 * @package WEN_Commerce
 */

$wen_commerce_quantity = get_theme_mod( 'wen_commerce_brands_number', 2 );
$wen_commerce_layout   = get_theme_mod( 'wen_commerce_brands_layout', 'layout-two' );

for ( $wen_commerce_i = 1, $wen_commerce_j = 1; $wen_commerce_i <= $wen_commerce_quantity; $wen_commerce_i++, $wen_commerce_j++ ) {
	$wen_commerce_target = get_theme_mod( 'wen_commerce_brands_target_' . $wen_commerce_i ) ? '_blank' : '_self';

	$wen_commerce_link = get_theme_mod( 'wen_commerce_brands_link_' . $wen_commerce_i ) ? get_theme_mod( 'wen_commerce_brands_link_' . $wen_commerce_i ) : '#';

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$wen_commerce_link = qtrans_convertURL( $wen_commerce_link );
	}

	$wen_commerce_post_class = '';

	$wen_commerce_thumbnail = 'wen-commerce-portfolio';

	if ( 'layout-one' == $wen_commerce_layout ) {
		$wen_commerce_thumbnail = 'wen-commerce-slider';
	} elseif ( 'layout-two' == $wen_commerce_layout ) {
		if ( 1 === $wen_commerce_j % 4 || 0 === $wen_commerce_j % 4 ) {
			$wen_commerce_post_class = ' featured';
			$wen_commerce_thumbnail  = 'wen-commerce-brands-large-layout-two';
		}
	} elseif ( 'layout-three' == $wen_commerce_layout ) {
		if ( 1 === $wen_commerce_j % 4 ) {
			$wen_commerce_post_class = ' featured';
		}
	}

	$wen_commerce_image = get_theme_mod( 'wen_commerce_brands_image_' . $wen_commerce_i );

	if ( $wen_commerce_image ) {
		$wen_commerce_thumb_url = get_theme_mod( 'wen_commerce_brands_image_' . $wen_commerce_i );
	} else {
		$wen_commerce_thumb_url = trailingslashit( esc_url ( get_template_directory_uri() ) ) . '/images/no-thumb-666x666.jpg';
	}

	$wen_commerce_button_text  = get_theme_mod('wen_commerce_brands_button_text_' . $wen_commerce_i );

	echo '
	<article id="featured-post-' . esc_attr( $wen_commerce_i ) . '" class="hentry custom-brands' . $wen_commerce_post_class . '">
		<div class="hentry-inner">';

			$wen_commerce_title   = get_theme_mod( 'wen_commerce_brands_title_' . $wen_commerce_i );
			$wen_commerce_content = get_theme_mod( 'wen_commerce_brands_content_' . $wen_commerce_i );

			echo '
			<div class="post-thumbnail" style="background-image: url( ' . esc_url( $wen_commerce_thumb_url ) . ' )">
				<a class="cover-link" href="' . esc_url( $wen_commerce_link ) . '">
				</a>
			</div>';

			if ( $wen_commerce_title || $wen_commerce_content ) {
				echo '
				<div class="entry-container product-container">';

				if ( $wen_commerce_title ) {
					echo '
					<header class="entry-header">
						<h2 class="entry-title">
							<a href="' . esc_url( $wen_commerce_link ) . '" rel="bookmark" target="' . esc_attr( $wen_commerce_target ) . '">' . wp_kses_post( $wen_commerce_title ) . '</a>
						</h2>
					</header>';
				}

				if ( '' !== $wen_commerce_content ) {
					echo '
					<div class="entry-summary">' . wp_kses_post( wpautop( $wen_commerce_content ) ) . '</div><!-- .entry-summary -->';
				}

				if( $wen_commerce_button_text ) {
					echo '<p class="view-more">
						<a class="button" target="_blank" href=' . esc_url( $wen_commerce_link ) . '>' . esc_html( $wen_commerce_button_text ) . '</a>
					</p>';
				}

				echo '
				</div><!-- .entry-container -->';
			}

		echo '
		</div><!-- .hentry-inner -->
	</article><!-- .featured-post-' . esc_attr( $wen_commerce_i ) . ' -->';

	if ( $wen_commerce_j > 8 ) {
		$wen_commerce_j = 0;
	}
} // End for().
