<?php
/**
 * The template for displaying Contact Info
 *
 * @package WEN_Commerce
 */

$wen_commerce_enable        = get_theme_mod( 'wen_commerce_contact_option', 'disabled' );
$wen_commerce_subtitle      = get_theme_mod( 'wen_commerce_contact_sub_title' );
$wen_commerce_description   = get_theme_mod( 'wen_commerce_contact_description' );
$wen_commerce_type          = get_theme_mod( 'wen_commerce_contact_type', 'page' );

$wen_commerce_inner_content = '';
$wen_commerce_title         = '';

if ( ! wen_commerce_check_section( $wen_commerce_enable ) ) {
	// Bail if contact section is disabled.
	return;
}

if ( 'post' === $wen_commerce_type && 'publish' === get_post_status( get_theme_mod( 'wen_commerce_contact_post' ) ) ) {
	$wen_commerce_background = get_the_post_thumbnail_url( get_theme_mod( 'wen_commerce_contact_post' ) );
} elseif ( 'page' === $wen_commerce_type  && 'publish' === get_post_status( get_theme_mod( 'wen_commerce_contact_page' ) ) ) {
	$wen_commerce_background = get_the_post_thumbnail_url( get_theme_mod( 'wen_commerce_contact_page' ) );
} elseif ( 'custom' === $wen_commerce_type ) {
	$wen_commerce_background = get_theme_mod( 'wen_commerce_contact_bg_image' ); 
}

if ( 'post' === $wen_commerce_type && 'publish' === get_post_status( get_theme_mod( 'wen_commerce_contact_post' ) ) ) {
	$wen_commerce_post_object = get_post( get_theme_mod( 'wen_commerce_contact_post' ) );

	$wen_commerce_inner_content = wpautop( $wen_commerce_post_object->post_content );
	$wen_commerce_title         = $wen_commerce_post_object->post_title; 
} elseif ( 'page' === $wen_commerce_type  && 'publish' === get_post_status( get_theme_mod( 'wen_commerce_contact_page' ) ) ) {
	$wen_commerce_post_object = get_post( get_theme_mod( 'wen_commerce_contact_page' ) );

	$wen_commerce_inner_content = wpautop( $wen_commerce_post_object->post_content );
	$wen_commerce_title         = $wen_commerce_post_object->post_title;
} elseif ( 'custom' === $wen_commerce_type ) {

	$wen_commerce_inner_content  = get_theme_mod( 'wen_commerce_contact_custom' );
	$wen_commerce_title = get_theme_mod( 'wen_commerce_contact_title', esc_html__( 'Let\'s get in touch', 'wen-commerce-pro' ) ); 
}
?> 	
<div id="contact-section" class="contact-section section<?php echo $wen_commerce_background ? ' has-background-image' : ''; ?>">
	<div class="wrapper">
		<?php if ( $wen_commerce_subtitle || $wen_commerce_title || $wen_commerce_description ) : ?>
			<div class="section-heading-wrapper">
			
			<?php if( $wen_commerce_subtitle ) : ?>
				<div class="section-subtitle">
					<?php echo esc_html( $wen_commerce_subtitle ); ?>
				</div>
			<?php endif; ?>
			
			<?php if ( $wen_commerce_title ) : ?>
				<div class="section-title-wrapper">
					<h2 class="section-title "><?php echo esc_html( $wen_commerce_title ); ?></h2>
				</div>
			<?php endif; ?>

			<?php if ( $wen_commerce_description ) : ?>
				<div class="section-description">
					<p>
						<?php
							echo wp_kses_post( $wen_commerce_description );
						?>
					</p>
				</div><!-- .section-description-wrapper -->
			<?php endif; ?>
			
			</div><!-- .section-heading-wrapper -->
		<?php endif; ?>

		<div class="section-content-wrapper contact-content-wrapper">
			<article class="hentry contact-us-form">
				<div class="entry-container"> 
					<div class="entry-content">
						<?php echo do_shortcode( $wen_commerce_inner_content );?> 
					</div>
				</div>
			</article><!-- .hentry -->	
		</div>
	</div><!-- .wrapper -->
</div><!-- .section -->
