<?php
/**
 * The template for displaying featured content
 *
 * @package Catch Wedding
 */

$wen_commerce_enable_content = get_theme_mod( 'wen_commerce_countdown_option', 'disabled' );

if ( ! wen_commerce_check_section( $wen_commerce_enable_content ) ) {
	// Bail if featured content is disabled.
	return;
}

$wen_commerce_subtitle         = get_theme_mod( 'wen_commerce_countdown_sub_title' );
$wen_commerce_title            = get_theme_mod( 'wen_commerce_countdown_title' );
$wen_commerce_description 	  = get_theme_mod( 'wen_commerce_countdown_description' );
$wen_commerce_content_position = get_theme_mod( 'wen_commerce_countdown_content_position', 'content-center' );
$wen_commerce_text_align       = get_theme_mod( 'wen_commerce_countdown_text_alignment', 'text-aligned-center' );

$wen_commerce_classes[] = 'section';
$wen_commerce_classes[] = 'no-background-image';
$wen_commerce_classes[] = $wen_commerce_content_position;
$wen_commerce_classes[] = $wen_commerce_text_align;


$wen_commerce_background = '';

$wen_commerce_thumb = get_theme_mod( 'wen_commerce_countdown_bg_image' );

if ( $wen_commerce_thumb ) {
	$wen_commerce_background = ' style="background-image: url( ' . esc_url( $wen_commerce_thumb ) . ' )"';
}

?>

<div id="countdown-section" class="<?php echo esc_attr( implode( ' ', $wen_commerce_classes ) ); ?>" <?php echo $wen_commerce_background; ?>>
	<div class="wrapper section-content-wrapper countdown-content-wrapper">
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div class="hentry-inner">
				<div class="entry-container">
					<div class="content-wrapper">
					
						<?php if( $wen_commerce_subtitle ) : ?>
							<div class="section-subtitle">
								<?php echo esc_html( $wen_commerce_subtitle ); ?>
							</div>
						<?php endif; ?>

						<?php if ( $wen_commerce_title ) : ?>
							<div class="section-title-wrapper">
								<h2 class="section-title"><?php echo wp_kses_post( $wen_commerce_title ); ?></h2>
							</div><!-- .page-title-wrapper -->
						<?php endif; ?>

						<?php if ( $wen_commerce_description ) : ?>
							<div class="section-description">
								<p>
									<?php
										echo wp_kses_post( $wen_commerce_description );
									?>
								</p>
							</div><!-- .section-description-wrapper -->
						<?php endif; ?>
							

					<div class="entry-content">
						<div id="clock"></div>

						<?php
						$wen_commerce_more_text   = get_theme_mod( 'wen_commerce_countdown_more_text' );
						$wen_commerce_more_link   = get_theme_mod( 'wen_commerce_countdown_more_link', '#' );
						$wen_commerce_more_target = get_theme_mod( 'wen_commerce_countdown_more_target' ) ? '_blank' : '_self' ;

						if ( $wen_commerce_more_text ) : ?>
							<a class="more-link" href="<?php echo esc_url( $wen_commerce_more_link ); ?>" target="<?php echo esc_attr( $wen_commerce_more_target ); ?>">
								<span class="more-button"><?php echo esc_html( $wen_commerce_more_text ); ?></span>
							</a>
						<?php
						endif;
						?>
					</div><!-- .entry-content -->
				</div><!-- .content-wrapper -->
				</div><!-- .entry-container -->
			</div><!-- .hentry-inner -->
		</article><!-- #post-## -->
	</div><!-- .wrapper -->
</div><!-- .section -->
