<?php
/**
 * The template for displaying featured image content
 *
 * @package WEN_Commerce
 */
?>

<?php
$wen_commerce_quantity = get_theme_mod( 'wen_commerce_featured_content_number', 3 );

for ( $wen_commerce_i = 1; $wen_commerce_i <= $wen_commerce_quantity; $wen_commerce_i++ ) {
	$wen_commerce_target = get_theme_mod( 'wen_commerce_featured_content_target_' . $wen_commerce_i ) ? '_blank' : '_self';

	$wen_commerce_link = get_theme_mod( 'wen_commerce_featured_content_link_' . $wen_commerce_i ) ? get_theme_mod( 'wen_commerce_featured_content_link_' . $wen_commerce_i ) : '#';

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$wen_commerce_link = qtrans_convertURL( $wen_commerce_link );
	}

	echo '
	<article id="featured-post-' . esc_attr( $wen_commerce_i ) . '" class="hentry featured-image-content">
		<div class="hentry-inner">';

			$wen_commerce_title   = get_theme_mod( 'wen_commerce_featured_content_title_' . $wen_commerce_i );
			$wen_commerce_content = get_theme_mod( 'wen_commerce_featured_content_content_' . $wen_commerce_i );

			$wen_commerce_image = get_theme_mod( 'wen_commerce_featured_content_image_' . $wen_commerce_i ) ? get_theme_mod( 'wen_commerce_featured_content_image_' . $wen_commerce_i ) :  trailingslashit( esc_url( get_template_directory_uri() ) );
			if ( $wen_commerce_image ) {
				echo '
				<a href="' . esc_url( $wen_commerce_link ) . '" class="post-thumbnail" target="' . esc_attr( $wen_commerce_target ) . '">
					<img src="' . esc_url( $wen_commerce_image ) . '" class="wp-post-image" alt="' . esc_attr( $wen_commerce_title ) . '" title="' . esc_attr( $wen_commerce_title ) . '">
				</a>';
			}
			
			if ( $wen_commerce_title || $wen_commerce_content ) {
				echo '
				<div class="entry-container">';

				if ( $wen_commerce_title ) {
					echo '
					<header class="featured-content entry-header">
						<h2 class="entry-title">
							<a href="' . esc_url( $wen_commerce_link ) . '" rel="bookmark" target="' . esc_attr( $wen_commerce_target ) . '">' . wp_kses_post( $wen_commerce_title ) . '</a>
						</h2>
					</header>';
				}

				if ( '' !== $wen_commerce_content ) {
					echo '<div class="entry-summary">' . wp_kses_post( wpautop( $wen_commerce_content ) ) . '</div><!-- .entry-summary -->';
				}

				echo '
				</div><!-- .entry-container -->';
			}

		echo '
		</div><!-- .hentry-inner -->
	</article><!-- .featured-post-' . esc_attr( $wen_commerce_i ) . ' -->';
} // End for().
