<?php
/**
 * Displays Contact Details on header top
 *
 * @package Catch_Store
 */

$wen_commerce_email   = get_theme_mod( 'wen_commerce_email' );
$wen_commerce_address = get_theme_mod( 'wen_commerce_address' );
$wen_commerce_phone   = get_theme_mod( 'wen_commerce_phone' );

if ( $wen_commerce_email  || $wen_commerce_address || $wen_commerce_phone ): ?>

	<ul class="contact-details">
		<?php if ( $wen_commerce_email ) : ?>
		<li class="contact-email"><a href="mailto:<?php echo esc_attr( antispambot( $wen_commerce_email ) ); ?>"><?php echo wen_commerce_get_svg( array( 'icon' => 'email' ) );?><?php echo esc_html( antispambot( $wen_commerce_email ) ) ?></a></li>
		<?php endif; ?>

		<?php if ( $wen_commerce_phone ) : ?>
		<li class="contact-phone"><a href="tel:<?php echo esc_attr( preg_replace( '/\s+/', '', $wen_commerce_phone ) ); ?>"><?php echo wen_commerce_get_svg( array( 'icon' => 'phone' ) );?><?php echo esc_html( preg_replace( '/\s+/', '', $wen_commerce_phone ) ); ?></a></li>
		<?php endif; ?>

		<?php if ( $wen_commerce_address ) : ?>
		<li class="contact-address"><?php echo wen_commerce_get_svg( array( 'icon' => 'address-book-o' ) );?><?php echo wp_kses_post( $wen_commerce_address ); ?></li>
		<?php endif; ?>
	</ul><!-- .contact-details -->

<?php endif; ?>
