<?php
/**
 * Displays header top bar
 *
 * @package Catch_Store
 */

if ( ! get_theme_mod( 'wen_commerce_disable_header_top' ) ) {
		// Bail if Header top is disabled.
	return;
}
?>

<div id="header-top" class="header-top-bar">
	<div class="wrapper">
		<button id="menu-toggle-top" class="menu-top-toggle menu-toggle" aria-controls="top-menu" aria-expanded="false">
			<?php echo wen_commerce_get_svg( array( 'icon' => 'bars' ) ); echo wen_commerce_get_svg( array( 'icon' => 'close' ) ); ?>
			<?php
			if ( $wen_commerce_label = get_theme_mod( 'wen_commerce_header_top_menu_label', esc_html__( 'Top Bar', 'wen-commerce-pro' ) ) ) : ?>
				<span class="header-top-label menu-label"><?php echo esc_html( $wen_commerce_label ); ?></span>
			<?php endif; ?>
		</button>

		<div id="site-header-top-menu" class="site-header-top-main">
			<div class="top-main-wrapper">
				<div class="header-top-left">
					<?php get_template_part( 'template-parts/header/contact-details', 'top' ); ?>
				</div><!-- .header-top-left -->

				<?php 
				$wen_commerce_header_top_middle_text = get_theme_mod( 'wen_commerce_mid_text' );

				if ( $wen_commerce_header_top_middle_text ) : ?>
				<div class="header-top-middle">
					<p><?php echo esc_html( $wen_commerce_header_top_middle_text ); ?></p>
				</div><!-- .header-top-left -->
				<?php endif; ?>
				
				<div class="header-top-right">
					<?php get_template_part( 'template-parts/navigation/navigation-header', 'top' ); ?>

					<?php get_template_part( 'template-parts/header/social', 'top' ); ?>
				</div><!-- .header-top-right -->

			</div><!-- .top-main-wrapper -->
		</div><!-- .site-header-top-main -->
	</div><!-- .wrapper -->
</div><!-- #header-top -->
