<?php
/**
 * The template used for displaying hero content
 *
 * @package WEN_Commerce
 */

$wen_commerce_classes[] = 'hero-section';
$wen_commerce_classes[] = 'section';
$wen_commerce_classes[] = get_theme_mod( 'wen_commerce_hero_content_img_align', 'content-align-right' );
$wen_commerce_classes[] = get_theme_mod( 'wen_commerce_hero_content_txt_align', 'text-align-left' );

?>
<div id="hero-section" class="<?php echo esc_attr( implode( ' ', $wen_commerce_classes ) ); ?>">
	<div class="wrapper">
		<div class="section-content-wrapper hero-content-wrapper">
			<?php $wen_commerce_image = get_theme_mod( 'wen_commerce_hero_content_image' ); ?>
			<article id="post-0" class="hentry<?php echo $wen_commerce_image ? ' has-post-thumbnail' : ''; ?>">
				<div class="hentry-inner">
					<?php
					if ( $wen_commerce_image ) : ?>
						<div class="post-thumbnail-background" style="background-image: url( <?php echo esc_url( $wen_commerce_image ); ?> )">
                            <?php
							$wen_commerce_link = get_theme_mod( 'wen_commerce_hero_content_link', '#' );
							$wen_commerce_target        = get_theme_mod( 'wen_commerce_hero_content_target' ) ? '_blank' : '_self';
                            ?>

                            <a class="cover-link" href="<?php echo esc_url( $wen_commerce_link ); ?>" target="<?php echo esc_attr( $wen_commerce_target ); ?>">
                            </a>
                        </div><!-- .post-thumbnail -->
						<div class="entry-container">
					<?php
					else: ?>
					<div class="entry-container full-width">
					<?php endif; ?>

					<?php
					$wen_commerce_subtitle    = get_theme_mod( 'wen_commerce_hero_content_sub_title' );
					$wen_commerce_title       = get_theme_mod( 'wen_commerce_hero_content_title' );
					$wen_commerce_description = get_theme_mod( 'wen_commerce_hero_content_description' ); 

					if( $wen_commerce_subtitle ) : ?>
						<div class="section-subtitle">
							<?php echo esc_html( $wen_commerce_subtitle ); ?>
						</div>
					<?php endif; ?>

					<?php if ( $wen_commerce_title ) : ?>
						<header class="entry-header">
							<h2 class="section-title">
								<?php echo wp_kses_post( $wen_commerce_title ) ?>
							</h2>
						</header><!-- .entry-header -->
					<?php endif; ?>

					<?php if ( $wen_commerce_description ) : ?>
						<div class="section-description">
							<p>
								<?php
								echo wp_kses_post( $wen_commerce_description );
								?>
							</p>
						</div><!-- .section-description-wrapper -->
					<?php endif; ?>

					<?php if ( $wen_commerce_content = get_theme_mod( 'wen_commerce_hero_content_content' ) ) : ?>
						<div class="entry-content">
							wpautop( 

							<?php
							$wen_commerce_more_text   = get_theme_mod( 'wen_commerce_hero_content_more_text' );
							$wen_commerce_more_link   = get_theme_mod( 'wen_commerce_hero_content_more_link', '#' );
							$wen_commerce_more_target = get_theme_mod( 'wen_commerce_hero_content_more_target' ) ? '_blank' : '_self' ;

							if ( $wen_commerce_more_text ) : ?>
							<p class="view-more">
								<a class="button" href="<?php echo esc_url( $wen_commerce_more_link ); ?>" target="<?php echo esc_attr( $wen_commerce_more_target ); ?>">
									<span><?php echo esc_html( $wen_commerce_more_text ); ?></span>
								</a>
							</p>
							<?php
							endif;
							?>
						</div><!-- .entry-content -->
					<?php endif; ?>
					</div><!-- .entry-container -->
				</div><!-- .hentry-inner -->
			</article>
		</div><!-- .section-content-wrapper -->
	</div><!-- .wrapper -->
</div><!-- .section -->
