<?php
/**
 * The template used for displaying hero content
 *
 * @package WEN_Commerce
 */
?>

<?php

$wen_commerce_type = get_theme_mod( 'wen_commerce_hero_content_type', 'page' );

if ( 'page' === $wen_commerce_type && $wen_commerce_id = get_theme_mod( 'wen_commerce_hero_content' ) ) {
	$wen_commerce_args['page_id'] = absint( $wen_commerce_id );
} elseif ( 'post' === $wen_commerce_type && $wen_commerce_id = get_theme_mod( 'wen_commerce_hero_content_post' ) ) {
	$wen_commerce_args['p'] = absint( $wen_commerce_id );
} elseif ( 'category' === $wen_commerce_type && $wen_commerce_cat = get_theme_mod( 'wen_commerce_hero_content_category' ) ) {
	$wen_commerce_args['cat'] = absint( $wen_commerce_cat );
	$wen_commerce_args['posts_per_page'] = 1;
}

// If $wen_commerce_args is empty return false
if ( empty( $wen_commerce_args ) ) {
	return;
}

$wen_commerce_classes[] = 'hero-section';
$wen_commerce_classes[] = 'section';
$wen_commerce_classes[] = get_theme_mod( 'wen_commerce_hero_content_img_align', 'content-align-right' );
$wen_commerce_classes[] = get_theme_mod( 'wen_commerce_hero_content_txt_align', 'text-align-left' );

// Create a new WP_Query using the argument previously created
$wen_commerce_hero_query = new WP_Query( $wen_commerce_args );
if ( $wen_commerce_hero_query->have_posts() ) :
	while ( $wen_commerce_hero_query->have_posts() ) :
		$wen_commerce_hero_query->the_post();
		?>
		<div id="hero-section" class="<?php echo esc_attr( implode( ' ', $wen_commerce_classes ) ); ?>">
			<div class="wrapper">
				<div class="section-content-wrapper hero-content-wrapper">
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<div class="hentry-inner">
							<?php $wen_commerce_post_thumbnail = wen_commerce_post_thumbnail( 'post-thumbnail', 'html-with-bg', false ); // wen_commerce_post_thumbnail( $wen_commerce_image_size, $wen_commerce_type = 'html', $wen_commerce_echo = true, $wen_commerce_no_thumb = false ).

						if ( $wen_commerce_post_thumbnail ) :
							echo $wen_commerce_post_thumbnail;
							?>
							<div class="entry-container">
						<?php else : ?>
							<div class="entry-container full-width">
						<?php endif; ?>
							<?php
							$wen_commerce_subtitle = get_theme_mod( 'wen_commerce_hero_content_sub_title' );
							$wen_commerce_title       = get_theme_mod( 'wen_commerce_display_hero_content_title', 1 );
							$wen_commerce_description = get_theme_mod( 'wen_commerce_hero_content_description' ); 

							if( $wen_commerce_subtitle ) : ?>
								<div class="section-subtitle">
									<?php echo esc_html( $wen_commerce_subtitle ); ?>
								</div>
							<?php endif; ?>

							<?php if ( $wen_commerce_title ) : ?>
								<header class="entry-header">
									<h2 class="section-title">
										<?php the_title(); ?>
									</h2>
								</header><!-- .entry-header -->
							<?php endif; ?>

							<?php if ( $wen_commerce_description ) : ?>
								<div class="section-description">
									<p>
										<?php
										echo wp_kses_post( $wen_commerce_description );
										?>
									</p>
								</div><!-- .section-description-wrapper -->
							<?php endif; ?>

							<div class="entry-content">
								<?php

									$wen_commerce_show_content = get_theme_mod( 'wen_commerce_hero_content_show', 'full-content' );

									if ( 'full-content' === $wen_commerce_show_content ) {
										the_content();
									} elseif ( 'excerpt' === $wen_commerce_show_content ) {
										the_excerpt();
									}

									wp_link_pages( array(
										'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'wen-commerce-pro' ) . '</span>',
										'after'       => '</div>',
										'link_before' => '<span class="page-number">',
										'link_after'  => '</span>',
										'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'wen-commerce-pro' ) . ' </span>%',
										'separator'   => '<span class="screen-reader-text">, </span>',
									) );
								?>
							</div><!-- .entry-content -->

							<?php if ( get_edit_post_link() ) : ?>
								<footer class="entry-footer">
									<div class="entry-meta">
										<?php
											edit_post_link(
												sprintf(
													/* translators: %s: Name of current post */
													esc_html__( 'Edit %s', 'wen-commerce-pro' ),
													the_title( '<span class="screen-reader-text">"', '"</span>', false )
												),
												'<span class="edit-link">',
												'</span>'
											);
										?>
									</div>	<!-- .entry-meta -->
								</footer><!-- .entry-footer -->
							<?php endif; ?>
						</div><!-- .hentry-inner -->
					</article>
				</div><!-- .section-content-wrapper -->
			</div><!-- .wrapper -->
		</div><!-- .section -->
	<?php
	endwhile;

	wp_reset_postdata();
endif;
