<?php
/**
 * The template used for displaying logo_slider
 *
 * @package WEN_Commerce
 */
?>
<?php
$wen_commerce_enable_logo_slider = get_theme_mod( 'wen_commerce_logo_slider_option', 'disabled' );

if ( ! wen_commerce_check_section( $wen_commerce_enable_logo_slider ) ) {
	return;
}

$wen_commerce_type         = get_theme_mod( 'wen_commerce_logo_slider_type', 'category' );
$wen_commerce_subtitle     = get_theme_mod( 'wen_commerce_logo_slider_subtitle' );
$wen_commerce_title        = get_theme_mod( 'wen_commerce_logo_slider_title');
$wen_commerce_description  = get_theme_mod( 'wen_commerce_logo_slider_description' );

$wen_commerce_classes[] = 'wen-commerce-logo-slider-section section';

if ( ! $wen_commerce_title && ! $wen_commerce_subtitle && ! $wen_commerce_description ) {
	$wen_commerce_classes[] = 'no-section-heading';
}
?>
<div id="logo-slider-section" class="logo-slider-section <?php echo esc_attr( implode( ' ', $wen_commerce_classes ) ); ?>">
	<div class="wrapper">
		<?php if ( $wen_commerce_subtitle || $wen_commerce_title || $wen_commerce_description ) : ?>
					<div class="section-heading-wrapper">

						<?php if( $wen_commerce_subtitle ) : ?>
							<div class="section-subtitle">
								<?php echo esc_html( $wen_commerce_subtitle ); ?>
							</div>
						<?php endif; ?>

						<?php if ( $wen_commerce_title ) : ?>
							<div class="section-title-wrapper">
								<h2 class="section-title"wen_commerce_><?php echo wp_kses_post( $wen_commerce_title ); ?></h2>
							</div><!-- .page-title-wrapper -->
						<?php endif; ?>

						<?php if ( $wen_commerce_description ) : ?>
							<div class="section-description">
								<p>
									<?php
										echo wp_kses_post( $wen_commerce_description );
									?>
								</p>
							</div><!-- .section-description-wrapper -->
						<?php endif; ?>
					</div><!-- .section-heading-wrapper -->
				<?php endif; ?>

		<div class="section-content-wrapper wen-commerce-logo-slider-content-wrapper owl-carousel<?php echo esc_attr( get_theme_mod( 'wen_commerce_logo_slider_dots', 0 ) ) ? '' : ' owl-dots-enabled'; ?>">
			<?php
			// Select Slider
			if ( 'post' === $wen_commerce_type || 'page' === $wen_commerce_type || 'category' === $wen_commerce_type ) {
				get_template_part( 'template-parts/logo-slider/post-type-logo-slider' );
			} elseif ( 'custom' === $wen_commerce_type ) {
				get_template_part( 'template-parts/logo-slider/custom-logo-slider' );
			}
			?>
		</div><!-- .section-content-wrapper  -->	
	</div><!-- .wrapper -->
</div><!-- #wen-commerce-logo-slider-section -->
