<?php
/**
 * The template used for displaying projects on index view
 *
 * @package WEN_Commerce
 */

$wen_commerce_show_meta    = get_theme_mod( 'wen_commerce_portfolio_meta_show', 'show-meta' );
$wen_commerce_layout       = get_theme_mod( 'wen_commerce_portfolio_content_layout', 'layout-three' );

global $wen_commerce_post;

$wen_commerce_categories_list = get_the_category();

$wen_commerce_classes = 'grid-item';
foreach ( $wen_commerce_categories_list as $wen_commerce_cat ) {
	$wen_commerce_classes .= ' ' . $wen_commerce_cat->slug ;
}
?>

<article id="portfolio-post-<?php the_ID(); ?>" <?php post_class( esc_attr( $wen_commerce_classes ) ); ?>>
	<div class="hentry-inner">
		<?php wen_commerce_post_thumbnail( array( 568, 9999 ) ); ?>
		
		<div class="entry-container caption">
			<div class="entry-container-inner-wrap">
				<header class="entry-header">
					<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>

					<?php if ( 'show-meta' === $wen_commerce_show_meta ) :
					?>
					<div class="entry-meta">
						<?php wen_commerce_posted_on(); ?>
					</div>
					<?php endif; ?>
				</header>
			</div><!-- .entry-container-inner-wrap -->	
		</div><!-- .entry-container -->
	</div><!-- .hentry-inner -->
</article>
