<?php
/**
 * The template for displaying portfolio items
 *
 * @package WEN_Commerce
 */
?>

<?php
$wen_commerce_number = get_theme_mod( 'wen_commerce_portfolio_number', 6 );

if ( ! $wen_commerce_number ) {
	// If number is 0, then this section is disabled
	return;
}

$wen_commerce_slider_select = get_theme_mod( 'wen_commerce_portfolio_slider', 1 );

for ( $wen_commerce_i = 1; $wen_commerce_i <= $wen_commerce_number; $wen_commerce_i++ ) {
	$wen_commerce_target = get_theme_mod( 'wen_commerce_portfolio_target_' . $wen_commerce_i ) ? '_blank': '_self';
	$wen_commerce_title  = get_theme_mod( 'wen_commerce_portfolio_title_' . $wen_commerce_i );
	$wen_commerce_image  = get_theme_mod( 'wen_commerce_portfolio_image_' . $wen_commerce_i ) ? get_theme_mod( 'wen_commerce_portfolio_image_' . $wen_commerce_i ) :  trailingslashit( esc_url( get_template_directory_uri() ) ) . '/images/no-thumb-666x666.jpg';
	$wen_commerce_link   = get_theme_mod( 'wen_commerce_portfolio_link_' . $wen_commerce_i, '#' );

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$wen_commerce_link = qtrans_convertURL( $wen_commerce_link );
	}

	?>
	<article id="portfolio-post-<?php echo esc_attr( $wen_commerce_i ) ?>" class="hentry post-image">
		<div class="hentry-inner">
			<div class="portfolio-thumbnail post-thumbnail">
				<?php if ( $wen_commerce_link ) : ?>
				<a class="post-thumbnail" href="<?php echo esc_url( $wen_commerce_link ); ?>" target="<?php echo $wen_commerce_target; ?>">
				<?php endif; ?>
					<img src="<?php echo esc_url( $wen_commerce_image ); ?>" class="wp-post-image" alt="<?php echo esc_attr( $wen_commerce_title ); ?>" title="<?php echo esc_attr( $wen_commerce_title ); ?>">
				<?php if ( $wen_commerce_link ) : ?>
				</a>
				<?php endif; ?>
			</div>

			<div class="entry-container caption">
				<div class="entry-container-inner-wrap">
					<?php
					if ( $wen_commerce_title ) : ?>
					<header class="entry-header">
						<h2 class="entry-title">
							<?php if ( $wen_commerce_link ) : ?>
							<a class="post-thumbnail" href="<?php echo esc_url( $wen_commerce_link ); ?>" target="<?php echo $wen_commerce_target; ?>">
							<?php endif; ?>
								<?php echo wp_kses_post( $wen_commerce_title ); ?>
							<?php if ( $wen_commerce_link ) : ?>
							</a>
							<?php endif; ?>
						</h2>
					</header>
					<?php endif; ?>
				</div><!-- .entry-container-inner-wrap -->	
			</div><!-- .entry-container -->
		</div><!-- .hentry-inner -->
	</article>
<?php
}
