<?php
/**
 * The template used for displaying promotion headline
 *
 * @package WEN_Commerce
 */

$wen_commerce_type        = get_theme_mod( 'wen_commerce_promo_head_type', 'page' );
$wen_commerce_subtitle    = get_theme_mod( 'wen_commerce_promo_head_sub_title' );
$wen_commerce_description = get_theme_mod( 'wen_commerce_promo_head_description' );

if ( 'page' === $wen_commerce_type && $wen_commerce_id = get_theme_mod( 'wen_commerce_promotion_headline' ) ) {
	$wen_commerce_args['page_id'] = absint( $wen_commerce_id );
} elseif ( 'post' === $wen_commerce_type && $wen_commerce_id = get_theme_mod( 'wen_commerce_promo_head_post' ) ) {
	$wen_commerce_args['p'] = absint( $wen_commerce_id );
} elseif ( 'product' === $wen_commerce_type && $wen_commerce_id = get_theme_mod( 'wen_commerce_promo_head_product' ) ) {
	$wen_commerce_args['post_type'] = 'product';
	$wen_commerce_args['p'] = absint( $wen_commerce_id );
} elseif ( 'category' === $wen_commerce_type && $wen_commerce_cat = get_theme_mod( 'wen_commerce_promo_head_category' ) ) {
	$wen_commerce_args['cat']            = absint( $wen_commerce_cat );
	$wen_commerce_args['posts_per_page'] = 1;
}

// If $wen_commerce_args is empty return false
if ( empty( $wen_commerce_args ) ) {
	return;
}

// Create a new WP_Query using the argument previously created
$wen_commerce_promotion_headline_query = new WP_Query( $wen_commerce_args );
if ( $wen_commerce_promotion_headline_query->have_posts() ) :
	while ( $wen_commerce_promotion_headline_query->have_posts() ) :
		$wen_commerce_promotion_headline_query->the_post();

		$wen_commerce_class[] = 'section';
		$wen_commerce_class[] = 'promotion-section';
		$wen_commerce_class[] = get_theme_mod( 'wen_commerce_promo_head_image_position', 'content-align-center' );
		$wen_commerce_class[] = get_theme_mod( 'wen_commerce_promo_head_text_alignment', 'text-align-center' );

		if ( get_theme_mod( 'wen_commerce_promo_head_wrap_text' ) ) {
			$wen_commerce_class[] = 'content-frame';
		}

		if ( get_theme_mod( 'wen_commerce_promo_head_text_color', 1 ) ) {
			$wen_commerce_class[] = 'content-color-white';
		}

		$wen_commerce_class[] = 'promotion-headline-one';
		?>
		<div id="promotion-section" class="<?php echo esc_attr( implode( ' ', $wen_commerce_class ) ); ?>">
			<div class="wrapper section-content-wrapper">
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="hentry-inner">
						<?php wen_commerce_post_thumbnail( 'wen-commerce-header-inner', 'html-with-bg' ); // wen_commerce_post_thumbnail( $wen_commerce_image_size, $wen_commerce_type = 'html', $wen_commerce_echo = true, $wen_commerce_no_thumb = false ). ?>

						<div class="content-wrapper">
							<div class="entry-container">
								<div class="entry-container-frame">

									<?php if( $wen_commerce_subtitle ) : ?>
										<div class="section-subtitle">
											<?php echo esc_html( $wen_commerce_subtitle ); ?>
										</div>
									<?php endif; ?>

									<?php if ( get_theme_mod( 'wen_commerce_display_promotion_headline_title', 1 ) ) : ?>
										<header class="entry-header section-title-wrapper">
											<?php the_title( '<h2 class="entry-title section-title">', '</h2>' ); ?>
										</header><!-- .entry-header -->
									<?php endif; ?>

									<?php if ( $wen_commerce_description ) : ?>
										<div class="section-description">
											<p>
												<?php
													echo wp_kses_post( $wen_commerce_description );
												?>
											</p>
										</div><!-- .section-description-wrapper -->
									<?php endif; ?>

									<?php
										$wen_commerce_image = get_theme_mod( 'wen_commerce_promo_head_logo_image' );
										if ( $wen_commerce_image ) : ?>
											<div class="post-thumbnail">
												<img src="<?php echo esc_url( $wen_commerce_image ); ?>">
											</div><!-- .post-thumbnail-->
										<?php endif; ?>

									<?php
									$wen_commerce_show_content = get_theme_mod( 'wen_commerce_promo_head_show', 'full-content' );

									if ( 'full-content' === $wen_commerce_show_content ) { ?>
										<div class="entry-content">
											<?php
											the_content();

											wp_link_pages( array(
												'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'wen-commerce-pro' ) . '</span>',
												'after'       => '</div>',
												'link_before' => '<span class="page-number">',
												'link_after'  => '</span>',
												'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'wen-commerce-pro' ) . ' </span>%',
												'separator'   => '<span class="screen-reader-text">, </span>',
											) );
											?>
										</div><!-- .entry-content -->
									<?php
									}
									elseif ( 'excerpt' === $wen_commerce_show_content ) { ?>
										<div class="entry-summary">
											<?php the_excerpt(); ?>
										</div><!-- .entry-summary -->
									<?php
									} ?>
								</div><!-- .entry-container-frame -->
							</div><!-- .entry-container -->
						</div><!-- .content-wrapper -->
					</div><!-- .hentry-inner -->
				</article><!-- #post-## -->
			</div><!-- .wrapper -->
		</div><!-- .section -->
	<?php
	endwhile;
	wp_reset_postdata();
endif;
