<?php
/**
 * The template for displaying portfolio items
 *
 * @package WEN_Commerce
 */
	
$wen_commerce_sub_title     = get_theme_mod( 'wen_commerce_skills_content_subtitle' );
$wen_commerce_content_title = get_theme_mod( 'wen_commerce_skills_content_title' );
$wen_commerce_description   = get_theme_mod( 'wen_commerce_skills_content_description' );
$wen_commerce_button_target = get_theme_mod( 'wen_commerce_skills_more_target' ) ? '_blank': '_self';
$wen_commerce_button_link   = get_theme_mod( 'wen_commerce_skills_more_link', '#' );
$wen_commerce_button_text   = get_theme_mod( 'wen_commerce_skills_more_text' );

if ( $wen_commerce_content_title || $wen_commerce_sub_title || $wen_commerce_description || $wen_commerce_button_text ) :
?>
<article class="hentry">
	<div class="entry-container">
		<?php if ( $wen_commerce_content_title || $wen_commerce_sub_title || $wen_commerce_description ) : ?>
			<header class="entry-header">
				<?php if ( $wen_commerce_sub_title ) : ?>
					<div class="section-subtitle">
						<?php echo esc_html( $wen_commerce_sub_title ); ?>
					</div><!-- .section-description-wrapper -->
				<?php endif; ?>

				<?php if ( $wen_commerce_content_title ) : ?>
				<h2 class="section-title">
					<?php echo esc_html( $wen_commerce_content_title ); ?>
				</h2>
				<?php endif; ?>

				<?php if ( $wen_commerce_description ) : ?>
					<div class="section-description">
						<?php echo esc_html( $wen_commerce_description ); ?>
					</div><!-- .section-description-wrapper -->
				<?php endif; ?>
			</header><!-- .entry-header -->
		<?php endif; ?>
	</div>
	<?php
		if ( $wen_commerce_button_text ) :
		?>
		<p class="more-button">
			<a class="button" target="<?php echo $wen_commerce_target; ?>" href="<?php echo esc_url( $wen_commerce_link ); ?>"><?php echo esc_html( $wen_commerce_button_text ); ?></a>
		</p>
	<?php endif; ?>
</article>
<?php endif; ?>

<article class="hentry">	
	<?php for ( $wen_commerce_i = 1; $wen_commerce_i <= get_theme_mod( 'wen_commerce_skill_number', 4 ); $wen_commerce_i++ ) {

		$wen_commerce_title = get_theme_mod( 'wen_commerce_skills_title_' . $wen_commerce_i );
		$wen_commerce_percent 	    = get_theme_mod( 'wen_commerce_skills_percentage_' . $wen_commerce_i ); 

		if ( $wen_commerce_title || $wen_commerce_percent ) : ?>

			<div class="skillbar">
				<div class="skillbar-item" data-percent="90">
					<?php if ( $wen_commerce_percent ) : ?>
					<div class="skillbar-header">
								<?php if ( $wen_commerce_title ) : ?>
								<h2 class="entry-title"><?php echo esc_html( $wen_commerce_title ); ?></h2>
								<?php endif; ?>

								<?php if ( $wen_commerce_percent ) : ?>
								<p class="skill-bar-percent"><?php echo esc_html( absint( $wen_commerce_percent ) ); ?>%</p>
								<?php endif; ?>
							</div>
					<div class="skillbar-content">
						<div class="skillbar-bar" style="width: <?php echo esc_attr( absint( $wen_commerce_percent ) ); ?>%;">
							
						</div>
					</div><!-- .skillbar -->
					<?php endif; ?>
				</div><!-- .skillbar-item -->
			</div>
		<?php endif;
	}
	?>
</article>
