<?php
/**
 * The template for displaying skills
 *
 * @package WEN_Commerce
 */
?>

<?php
$wen_commerce_enable               = get_theme_mod( 'wen_commerce_skills_option', 'disabled' );
$wen_commerce_subtitle    = get_theme_mod( 'wen_commerce_skills_subtitle' );
$wen_commerce_title       = get_theme_mod( 'wen_commerce_skills_title', 'My Skills' );
$wen_commerce_description = get_theme_mod( 'wen_commerce_skills_description' );
$wen_commerce_image 				  = get_theme_mod( 'wen_commerce_skills_bg_image' );


if ( ! wen_commerce_check_section( $wen_commerce_enable ) ) {
	// Bail if featured content is disabled.
	return;
}

$wen_commerce_type = get_theme_mod( 'wen_commerce_skills_type', 'category' );

$wen_commerce_classes[] = 'section';
$wen_commerce_classes[] = 'skill-section';

if( $wen_commerce_image ) {
	$wen_commerce_classes[] = 'has-background-image';
} 

$wen_commerce_classes[] = esc_attr( $wen_commerce_type );
?>

<div id="skill-section" class="<?php echo esc_attr( implode( ' ', $wen_commerce_classes ) ); ?>">
	<div class="wrapper">

		<?php if ( $wen_commerce_title || $wen_commerce_description || $wen_commerce_subtitle ) : ?>
			<div class="section-heading-wrapper">
				<?php if ( $wen_commerce_subtitle ) : ?>
					<div class="section-subtitle">
						<?php echo esc_html( $wen_commerce_subtitle); ?>
					</div>
				<?php endif; ?>

				<?php if ( $wen_commerce_title ) : ?>
					<div class="section-title-wrapper">
						<h2 class="section-title"><?php echo wp_kses_post( $wen_commerce_title ); ?></h2>
					</div><!-- .section-title-wrapper -->
				<?php endif; ?>

				<?php if ( $wen_commerce_description ) : ?>
					<div class="section-description">
						<p>
							<?php
								echo wp_kses_post( $wen_commerce_description );
							?>
						</p>
					</div><!-- .section-description-wrapper -->
				<?php endif; ?>
			</div><!-- .section-heading-wrap -->
		<?php endif; ?>

		<div class="main-bg-image" style="background-image: url( '<?php echo esc_url( $wen_commerce_image ); ?>' )">
		</div>
		<div class="inner-section-content-wrapper">
			<div class="section-content-wrapper">
			<?php
				get_template_part( 'template-parts/skills/custom', 'skills' );
			?>
			</div><!-- .section-content-wrap -->
		</div><!-- .inner-section-content-wrapper -->	
	</div><!-- .wrapper -->
</div><!-- #numbers-section -->
