<?php
/**
 * The template for displaying stats image content
 *
 * @package WEN_Commerce
 */
?>

<?php
$wen_commerce_quantity = get_theme_mod( 'wen_commerce_stats_number', 4 );

for ( $wen_commerce_i = 1; $wen_commerce_i <= $wen_commerce_quantity; $wen_commerce_i++ ) {
	$wen_commerce_target = get_theme_mod( 'wen_commerce_stats_target_' . $wen_commerce_i ) ? '_blank' : '_self';

	$wen_commerce_link = get_theme_mod( 'wen_commerce_stats_link_' . $wen_commerce_i ) ? get_theme_mod( 'wen_commerce_stats_link_' . $wen_commerce_i ) : '#';

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$wen_commerce_link = qtrans_convertURL( $wen_commerce_link );
	}

	echo '
	<article id="stats-post-' . esc_attr( $wen_commerce_i ) . '" class="hentry"> <div class="hentry-inner">';

		$wen_commerce_title = get_theme_mod( 'wen_commerce_stats_title_' . $wen_commerce_i );
		$wen_commerce_content        = get_theme_mod( 'wen_commerce_stats_content_' . $wen_commerce_i );
		$wen_commerce_more_button    = get_theme_mod( 'wen_commerce_stats_more_button_text_' . $wen_commerce_i );

		$wen_commerce_image = get_theme_mod( 'wen_commerce_stats_image_' . $wen_commerce_i ) ? get_theme_mod( 'wen_commerce_stats_image_' . $wen_commerce_i ) : '';

		if ( $wen_commerce_image ) {
			echo '
			<div class="post-thumbnail">
				<a href="' . esc_url( $wen_commerce_link ) . '" target="' . esc_attr( $wen_commerce_target ) . '">
					<img src="' . esc_url( $wen_commerce_image ) . '" class="wp-post-image" alt="' . esc_attr( $wen_commerce_title ) . '" title="' . esc_attr( $wen_commerce_title ) . '">
				</a>
			</div>';
		}

		if ( $wen_commerce_title || $wen_commerce_content || $wen_commerce_more_button) {
			echo '
			<div class="entry-container">';

				if ( $wen_commerce_title ) {
					echo '
					<header class="entry-header">
					<h2 class="entry-title">
						<a href="' . esc_url( $wen_commerce_link ) . '" rel="bookmark" target="' . esc_attr( $wen_commerce_target ) . '">' . wp_kses_post( $wen_commerce_title ) . '</a>
					</h2>';
					echo '</header>';
				}

				if ( $wen_commerce_content || $wen_commerce_more_button ) {
					if ( $wen_commerce_more_button ) {
						$wen_commerce_content .= '<p class="more-button">
							<a class="more-link" href="' . esc_url( $wen_commerce_link ) . '" rel="bookmark" target="' . esc_attr( $wen_commerce_target ) . '">' . esc_html( $wen_commerce_more_button ) . '</a>
						</p>';
					}

				 	echo '<div class="entry-summary">' . wp_kses_post( wpautop( $wen_commerce_content ) ) . '</div><!-- .entry-summary -->';
				}



				echo '
			</div><!-- .entry-container -->';
		}

		echo '
		</div>
	</article><!-- .stats-post-' . esc_attr( $wen_commerce_i ) . ' -->';
} // End for().
