<?php
/**
 * The template for displaying testimonial items
 *
 * @package WEN_Commerce
 */
?>

<?php
$wen_commerce_number = get_theme_mod( 'wen_commerce_testimonial_number', 3 );

if ( ! $wen_commerce_number ) {
	// If number is 0, then this section is disabled
	return;
}

for ( $wen_commerce_i = 1; $wen_commerce_i <= $wen_commerce_number; $wen_commerce_i++ ) {
	$wen_commerce_content            = get_theme_mod( 'wen_commerce_testimonial_content_' . $wen_commerce_i );
	$wen_commerce_target             = get_theme_mod( 'wen_commerce_testimonial_target_' . $wen_commerce_i ) ? '_blank': '_self';
	$wen_commerce_link  = get_theme_mod( 'wen_commerce_testimonial_link_' . $wen_commerce_i, '#' );
	$wen_commerce_title = get_theme_mod( 'wen_commerce_testimonial_title_' . $wen_commerce_i );
	$wen_commerce_image              = get_theme_mod( 'wen_commerce_testimonial_image_' . $wen_commerce_i );
	$wen_commerce_title_text 		= get_theme_mod( 'wen_commerce_testimonial_title_text_' . $wen_commerce_i );
	$wen_commerce_position           = get_theme_mod( 'wen_commerce_testimonial_position_' . $wen_commerce_i );

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$wen_commerce_link = qtrans_convertURL( $wen_commerce_link );
	}

	?>

	<article id="post-<?php echo esc_attr( $wen_commerce_i ) ?>" class="post hentry post-image has-post-thumbnail">
		<div class="hentry-inner">
			<div class="entry-container">

				<?php if ( $wen_commerce_content || $wen_commerce_title_text ) : ?>
					<div class="entry-content">
						<?php if ( $wen_commerce_title_text ) : ?>
							<div class="entry-title">
								<?php echo wp_kses_post( $wen_commerce_title_text ); ?>
							</div>
						<?php endif; ?>
						<?php echo wp_kses_post( $wen_commerce_content ); ?>
					</div>
				<?php endif; ?>

				<?php if ( $wen_commerce_image ) : ?>
					<div class="testimonial-thumbnail post-thumbnail">
						<a target="<?php echo esc_attr( $wen_commerce_target ); ?>" href="<?php echo esc_url( $wen_commerce_link ); ?>"><img src="<?php echo esc_url( $wen_commerce_image ); ?>" /></a>
					</div>
				<?php endif; ?>
			

				<?php if ( $wen_commerce_title || $wen_commerce_position ) : ?>
					<header class="entry-header">
						<?php if ( $wen_commerce_title ): ?>
						<h2 class="entry-title"><a target="<?php echo esc_attr( $wen_commerce_target ); ?>" href="<?php echo esc_url( $wen_commerce_link ); ?>"><?php echo wp_kses_post( $wen_commerce_title ); ?></a></h2>
						<?php endif; ?>

						<?php if ( $wen_commerce_position ): ?>
						<div class="entry-meta"><span class="position"><?php echo esc_html( $wen_commerce_position ); ?></span></div>
						<?php endif; ?>
					</header>
				<?php endif; ?>
			</div><!-- .entry-container -->
		</div><!-- .hentry-inner -->
	</article>
	<?php
}
