<?php
/**
 * The template for displaying testimonial items
 *
 * @package WEN_Commerce
 */
?>

<?php
$wen_commerce_number = get_theme_mod( 'wen_commerce_testimonial_number', 3 );

if ( ! $wen_commerce_number ) {
	// If number is 0, then this section is disabled
	return;
}

$wen_commerce_args = array(
	'ignore_sticky_posts' => 1 // ignore sticky posts
);

$wen_commerce_type = get_theme_mod( 'wen_commerce_testimonial_type', 'category' );

$wen_commerce_post_list  = array();// list of valid post/page ids


if ( 'post' === $wen_commerce_type || 'jetpack-testimonial' === $wen_commerce_type || 'page' === $wen_commerce_type  ) {
	$wen_commerce_args['post_type'] = $wen_commerce_type;

	for ( $wen_commerce_i = 1; $wen_commerce_i <= $wen_commerce_number; $wen_commerce_i++ ) {
		$wen_commerce_post_id = '';

		if ( 'post' === $wen_commerce_type ) {
			$wen_commerce_post_id = get_theme_mod( 'wen_commerce_testimonial_post_' . $wen_commerce_i );
		} elseif ( 'page' === $wen_commerce_type ) {
			$wen_commerce_post_id = get_theme_mod( 'wen_commerce_testimonial_page_' . $wen_commerce_i );
		} elseif ( 'jetpack-testimonial' === $wen_commerce_type ) {
			$wen_commerce_post_id =  get_theme_mod( 'wen_commerce_testimonial_cpt_' . $wen_commerce_i );
		}

		if ( $wen_commerce_post_id && '' !== $wen_commerce_post_id ) {
			// Polylang Support.
			if ( class_exists( 'Polylang' ) ) {
				$wen_commerce_post_id = pll_get_post( $wen_commerce_post_id, pll_current_language() );
			}

			$wen_commerce_post_list = array_merge( $wen_commerce_post_list, array( $wen_commerce_post_id ) );

		}
	}

	$wen_commerce_args['post__in'] = $wen_commerce_post_list;
	$wen_commerce_args['orderby'] = 'post__in';
} elseif ( 'category' === $wen_commerce_type ) {
	$wen_commerce_no_of_post = $wen_commerce_number;

	if ( get_theme_mod( 'wen_commerce_testimonial_select_category' ) ) {
		$wen_commerce_args['category__in'] = (array) get_theme_mod( 'wen_commerce_testimonial_select_category' );
	}

	$wen_commerce_args['post_type'] = 'post';
} elseif ( 'tag' === $wen_commerce_type ) {
	$wen_commerce_no_of_post = $wen_commerce_number;

	if ( get_theme_mod( 'wen_commerce_testimonial_select_tag' ) ) {
		$wen_commerce_args['tag__in'] = (array) get_theme_mod( 'wen_commerce_testimonial_select_tag' );
	}

	$wen_commerce_args['post_type'] = 'post';
}

$wen_commerce_args['posts_per_page'] = $wen_commerce_number;
$wen_commerce_loop = new WP_Query( $wen_commerce_args );

if ( $wen_commerce_loop -> have_posts() ) :
	while ( $wen_commerce_loop -> have_posts() ) :
		$wen_commerce_loop -> the_post(); ?>

		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div class="hentry-inner">
				<?php
				$wen_commerce_show_content = get_theme_mod( 'wen_commerce_testimonial_show', 'excerpt' ); ?>
				<div class="entry-container">
					<?php if ( 'excerpt' === $wen_commerce_show_content  ) : ?>
						<div class="entry-content">
							<div class="entry-title">
								<?php the_title(); ?>
							</div>
							<?php the_excerpt(); ?>
						</div>
					<?php elseif ( 'full-content' === $wen_commerce_show_content ) : ?>
						<div class="entry-content">
							<div class="entry-title">
								<?php the_title(); ?>
							</div>
							<?php the_content(); ?>
						</div>
					<?php endif; ?>

					<?php 
					if( 'jetpack-testimonial' === $wen_commerce_type ) {
						$wen_commerce_position = get_post_meta( get_the_id(), 'ect_testimonial_position', true );
					} else {
						$wen_commerce_position = get_theme_mod( 'wen_commerce_testimonial_position_' . absint( $wen_commerce_loop->current_post + 1 ) );
					}
					$wen_commerce_name = get_theme_mod( 'wen_commerce_testimonial_title_' . absint( $wen_commerce_loop->current_post + 1 ) );
					?>
					
					<div class="author-thumb">
						<?php wen_commerce_post_thumbnail( array( 80, 80 ), 'html', true ); ?>
					
						<?php if ( $wen_commerce_name || $wen_commerce_position ) : ?>
						<header class="entry-header">
							<?php if ( $wen_commerce_name ): ?>
								<h2 class="entry-title"><a target="_blank" href="<?php the_permalink(); ?>">
									<?php echo wp_kses_post( $wen_commerce_name ); ?></a></h2>
							<?php endif; ?>

							<?php if ( $wen_commerce_position ): ?>
								<div class="entry-meta"><span class="position"><?php echo esc_html( $wen_commerce_position ); ?></span></div>
							<?php endif; ?>
						</header>
				<?php endif; ?>
					</div> <!-- .author-thumb -->				
				</div><!-- .entry-container -->	
			</div><!-- .hentry-inner -->
		</article>
	<?php
	endwhile;
	wp_reset_postdata();
endif;
