<?php
/*
 * Template Name: Left Sidebar ( Primary Sidebar, Content )
 *
 * Template Post Type: post, page
 *
 * The template for displaying Page/Post with Sidebar on Left
 *
 * @package WEN_Commerce
 */

get_header(); 

$enable_homepage_posts = wen_commerce_enable_homepage_posts();

if ( $enable_homepage_posts ) : ?>

    <div id="primary" class="content-area">
        <main id="main" class="site-main">
            <div class="singular-content-wrap">
                <?php
                while ( have_posts() ) : the_post();

                    $template = 'single';

                    if ( is_page() ) {
                        $template = 'page';
                    }

                    get_template_part( 'template-parts/content/content', $template );

                    get_template_part( 'template-parts/content/content', 'comment' );

                endwhile; // End of the loop.
                ?>
                </div> <!-- singular-content-wrap -->
        </main><!-- #main -->
    </div><!-- #primary -->

<?php
get_sidebar();
endif; // $enable_homepage_posts
get_footer();
